import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Icon, Select, message, Table, Divider, Tag, Pagination, Modal, DatePicker, notification } from 'antd';
import router from 'umi/router';
import moment from 'moment';
import AuthButton from '@/components/AuthButton';
import withActions from '@/components/ActionList';
import EditIcon from '@/components/EditIcon';
import Navigate from '@/components/Navigate';
import styles from '../../style/GoodsList.less';
import SelectCity from '../../../components/SelectButton/CitySelect'
import BuildSelect from '@/components/SelectButton/BuildSelect'
import ChannelSelect from '@/components/SelectButton/channelSelect'
import apis from '../../../services/apis';
import request from '../../../utils/request';

// import RaiseHelpDoc from '../edit/components/RaiseHelpDoc';



const header = props => {
    const [data, setData] = useState()


    // 查询列表
    //   const getList = params => {
    //     request({ ...apis.taEcontract.listContractTemplate, params: { ...params } }).then(data => {
    //       console.log(data)
    //       setData(data)
    //     })
    //   }

    // eslint-disable-next-line react-hooks/rules-of-hooks
    //   useEffect(() => {
    //     getList({ pageNum: 1, pageSize: 10 });
    //   }, [])

    //   const toAdd = rowData => () => {
    //     router.push({
    //       pathname: '/eContract/template/add',
    //     });
    //   }



    /**
     *
     *
     * @param {*} props
     * @returns
     */
    //   const columns = [
    //     {
    //       title: '合同标题',
    //       dataIndex: 'contractTemplateName',
    //       key: 'contractTemplateName',
    //       align: 'center',
    //       render:  (x, row) => <Navigate onClick={toDetail(row)}>{row.contractTemplateName}</Navigate>,
    //     },
    //     {
    //       title: '新增时间',
    //       dataIndex: 'createDate',
    //       key: 'createDate',
    //       align: 'center',
    //       render: (x, row) => <><span>{`${moment(row.createDate).format('YYYY-MM-DD HH:mm:ss')}`}</span></>,
    //     },
    //     {
    //       title: '操作',
    //       dataIndex: '',
    //       key: '',
    //       align: 'center',
    //       render: withActions((text, record) => [(
    //           <AuthButton name="admin.eContractTemplate.detail.get" noRight={null}>
    //             <EditIcon type="look" text="查看详情" onClick={toDetail(record)}></EditIcon>
    //           </AuthButton>
    //       ),])
    //     },
    //   ];


    //   const changePageNum = pageNumber => {
    //     getList({ pageNum: pageNumber, pageSize: 10, ...props.form.getFieldsValue() })
    //   }

    //   const rowSelection = {
    //     onChange: (selectedRowKeys, selectedRows) => {
    //       console.log('selectedRowKeys:', selectedRowKeys, 'selectedRows: ', selectedRows);
    //       setContractList(selectedRows)
    //     },
    //   };

    //   // 提交事件
    //   const handleSubmit = e => {
    //     e.preventDefault();
    //     props.form.validateFields((err, values) => {
    //       if (!err) {      
    //         getList({ pageNum: 1, pageSize: 10, ...values })
    //       }
    //     });
    //   }

    //   // 重置搜索
    function handleReset() {
        props.form.resetFields();
        // setTime('')
        // getList({ pageNum: 1, pageSize: 10 })
    }

    const { getFieldDecorator } = props.form
    return (

        <>
            <div>234</div>
            <Form layout="inline" onSubmit={e => handleSubmit(e)}>
                <Form.Item>
                    {getFieldDecorator('qrcodetype')(
                        <Input
                            placeholder="二维码类型"
                        />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('qrcodename')(
                        <Input
                            placeholder="二维码内容"
                        />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('channe')(
                        <ChannelSelect all />,
                    )}
                </Form.Item>
                <Form.Item>
                    {getFieldDecorator('build')(
                        <BuildSelect />,
                    )}
                </Form.Item>
                <Form.Item>
                    <Button type="primary" htmlType="submit" className={styles.searchBtn}>搜索</Button>
                    <Button style={{ marginLeft: 8 }} onClick={handleReset}>重置</Button>
                </Form.Item>
            </Form>

                <Button type="danger" >新增</Button>

                <Button type="primary" style={{ marginLeft: '30px' }}>删除</Button>

            {/* <Table rowSelection={rowSelection}
       dataSource={data.records} columns={columns} pagination={false} rowKey={r => r.contractTemplateId} />
      <div style={{ display: 'flex', justifyContent: 'flex-end', marginTop: '30px' }}>
        <Pagination showQuickJumper defaultCurrent={1} total={data.total} onChange={e => changePageNum(e)} current={data.current}/>
      </div> */}
        </>
    )
}
const WrappedHeader = Form.create({ name: 'header' })(header);

export default WrappedHeader
